> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truckaurbus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# The machine classes with their labels in en, hi and ta, plate fields and hours a year



## OpenAPI

````yaml /api-reference/openapi.json get /v1/machines/classes
openapi: 3.1.0
info:
  title: Truckaurbus API
  version: v1
  description: >-
    The public v1 API at https://api.truckaurbus.com/v1. Authenticate with an
    API key in the Authorization header: Bearer tab_live_...
servers:
  - url: https://api.truckaurbus.com
security: []
paths:
  /v1/machines/classes:
    get:
      tags:
        - v1
      summary: >-
        The machine classes with their labels in en, hi and ta, plate fields and
        hours a year
      operationId: identity_api_v1_machine_classes
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/MachineClassOut'
                title: Response
                type: array
          description: OK
components:
  schemas:
    MachineClassOut:
      properties:
        count:
          default: 0
          title: Count
          type: integer
        hours_a_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hours A Year
        key:
          title: Key
          type: string
        kinds:
          items:
            type: string
          title: Kinds
          type: array
        label:
          title: Label
          type: string
        label_hi:
          title: Label Hi
          type: string
        label_ta:
          title: Label Ta
          type: string
        plate:
          items:
            additionalProperties: true
            type: object
          title: Plate
          type: array
        plural:
          title: Plural
          type: string
        plural_hi:
          title: Plural Hi
          type: string
        plural_ta:
          title: Plural Ta
          type: string
        synonyms:
          items:
            type: string
          title: Synonyms
          type: array
      required:
        - key
        - label
        - label_hi
        - label_ta
        - plural
        - plural_hi
        - plural_ta
        - kinds
        - synonyms
        - plate
      title: MachineClassOut
      type: object

````